IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/80
Addresses2^48
/64 networksPart of one
- Network
2c19:dd:ec00:c25:de69::/80- First address
2c19:dd:ec00:c25:de69::- Last address
2c19:dd:ec00:c25:de69:ffff:ffff:ffff- Addresses
- 281,474,976,710,656 (2^48)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:ec00:0c25:de69:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
9.6.e.d.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ec00:c25:de69::/80 makes 256 subnets of /88.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ec00:c25:de69::/88 | 2c19:dd:ec00:c25:de69:ff:ffff:ffff |
| 2 | 2c19:dd:ec00:c25:de69:100::/88 | 2c19:dd:ec00:c25:de69:1ff:ffff:ffff |
| 3 | 2c19:dd:ec00:c25:de69:200::/88 | 2c19:dd:ec00:c25:de69:2ff:ffff:ffff |
| 4 | 2c19:dd:ec00:c25:de69:300::/88 | 2c19:dd:ec00:c25:de69:3ff:ffff:ffff |
| 5 | 2c19:dd:ec00:c25:de69:400::/88 | 2c19:dd:ec00:c25:de69:4ff:ffff:ffff |
| 6 | 2c19:dd:ec00:c25:de69:500::/88 | 2c19:dd:ec00:c25:de69:5ff:ffff:ffff |
| 7 | 2c19:dd:ec00:c25:de69:600::/88 | 2c19:dd:ec00:c25:de69:6ff:ffff:ffff |
| 8 | 2c19:dd:ec00:c25:de69:700::/88 | 2c19:dd:ec00:c25:de69:7ff:ffff:ffff |
| 9 | 2c19:dd:ec00:c25:de69:800::/88 | 2c19:dd:ec00:c25:de69:8ff:ffff:ffff |
| 10 | 2c19:dd:ec00:c25:de69:900::/88 | 2c19:dd:ec00:c25:de69:9ff:ffff:ffff |
| 11 | 2c19:dd:ec00:c25:de69:a00::/88 | 2c19:dd:ec00:c25:de69:aff:ffff:ffff |
| 12 | 2c19:dd:ec00:c25:de69:b00::/88 | 2c19:dd:ec00:c25:de69:bff:ffff:ffff |
| 13 | 2c19:dd:ec00:c25:de69:c00::/88 | 2c19:dd:ec00:c25:de69:cff:ffff:ffff |
| 14 | 2c19:dd:ec00:c25:de69:d00::/88 | 2c19:dd:ec00:c25:de69:dff:ffff:ffff |
| 15 | 2c19:dd:ec00:c25:de69:e00::/88 | 2c19:dd:ec00:c25:de69:eff:ffff:ffff |
| 16 | 2c19:dd:ec00:c25:de69:f00::/88 | 2c19:dd:ec00:c25:de69:fff:ffff:ffff |
| 17 | 2c19:dd:ec00:c25:de69:1000::/88 | 2c19:dd:ec00:c25:de69:10ff:ffff:ffff |
| 18 | 2c19:dd:ec00:c25:de69:1100::/88 | 2c19:dd:ec00:c25:de69:11ff:ffff:ffff |
| 19 | 2c19:dd:ec00:c25:de69:1200::/88 | 2c19:dd:ec00:c25:de69:12ff:ffff:ffff |
| 20 | 2c19:dd:ec00:c25:de69:1300::/88 | 2c19:dd:ec00:c25:de69:13ff:ffff:ffff |
| 21 | 2c19:dd:ec00:c25:de69:1400::/88 | 2c19:dd:ec00:c25:de69:14ff:ffff:ffff |
| 22 | 2c19:dd:ec00:c25:de69:1500::/88 | 2c19:dd:ec00:c25:de69:15ff:ffff:ffff |
| 23 | 2c19:dd:ec00:c25:de69:1600::/88 | 2c19:dd:ec00:c25:de69:16ff:ffff:ffff |
| 24 | 2c19:dd:ec00:c25:de69:1700::/88 | 2c19:dd:ec00:c25:de69:17ff:ffff:ffff |
| 25 | 2c19:dd:ec00:c25:de69:1800::/88 | 2c19:dd:ec00:c25:de69:18ff:ffff:ffff |
| 26 | 2c19:dd:ec00:c25:de69:1900::/88 | 2c19:dd:ec00:c25:de69:19ff:ffff:ffff |
| 27 | 2c19:dd:ec00:c25:de69:1a00::/88 | 2c19:dd:ec00:c25:de69:1aff:ffff:ffff |
| 28 | 2c19:dd:ec00:c25:de69:1b00::/88 | 2c19:dd:ec00:c25:de69:1bff:ffff:ffff |
| 29 | 2c19:dd:ec00:c25:de69:1c00::/88 | 2c19:dd:ec00:c25:de69:1cff:ffff:ffff |
| 30 | 2c19:dd:ec00:c25:de69:1d00::/88 | 2c19:dd:ec00:c25:de69:1dff:ffff:ffff |
| 31 | 2c19:dd:ec00:c25:de69:1e00::/88 | 2c19:dd:ec00:c25:de69:1eff:ffff:ffff |
| 32 | 2c19:dd:ec00:c25:de69:1f00::/88 | 2c19:dd:ec00:c25:de69:1fff:ffff:ffff |
| 33 | 2c19:dd:ec00:c25:de69:2000::/88 | 2c19:dd:ec00:c25:de69:20ff:ffff:ffff |
| 34 | 2c19:dd:ec00:c25:de69:2100::/88 | 2c19:dd:ec00:c25:de69:21ff:ffff:ffff |
| 35 | 2c19:dd:ec00:c25:de69:2200::/88 | 2c19:dd:ec00:c25:de69:22ff:ffff:ffff |
| 36 | 2c19:dd:ec00:c25:de69:2300::/88 | 2c19:dd:ec00:c25:de69:23ff:ffff:ffff |
| 37 | 2c19:dd:ec00:c25:de69:2400::/88 | 2c19:dd:ec00:c25:de69:24ff:ffff:ffff |
| 38 | 2c19:dd:ec00:c25:de69:2500::/88 | 2c19:dd:ec00:c25:de69:25ff:ffff:ffff |
| 39 | 2c19:dd:ec00:c25:de69:2600::/88 | 2c19:dd:ec00:c25:de69:26ff:ffff:ffff |
| 40 | 2c19:dd:ec00:c25:de69:2700::/88 | 2c19:dd:ec00:c25:de69:27ff:ffff:ffff |
| 41 | 2c19:dd:ec00:c25:de69:2800::/88 | 2c19:dd:ec00:c25:de69:28ff:ffff:ffff |
| 42 | 2c19:dd:ec00:c25:de69:2900::/88 | 2c19:dd:ec00:c25:de69:29ff:ffff:ffff |
| 43 | 2c19:dd:ec00:c25:de69:2a00::/88 | 2c19:dd:ec00:c25:de69:2aff:ffff:ffff |
| 44 | 2c19:dd:ec00:c25:de69:2b00::/88 | 2c19:dd:ec00:c25:de69:2bff:ffff:ffff |
| 45 | 2c19:dd:ec00:c25:de69:2c00::/88 | 2c19:dd:ec00:c25:de69:2cff:ffff:ffff |
| 46 | 2c19:dd:ec00:c25:de69:2d00::/88 | 2c19:dd:ec00:c25:de69:2dff:ffff:ffff |
| 47 | 2c19:dd:ec00:c25:de69:2e00::/88 | 2c19:dd:ec00:c25:de69:2eff:ffff:ffff |
| 48 | 2c19:dd:ec00:c25:de69:2f00::/88 | 2c19:dd:ec00:c25:de69:2fff:ffff:ffff |
| 49 | 2c19:dd:ec00:c25:de69:3000::/88 | 2c19:dd:ec00:c25:de69:30ff:ffff:ffff |
| 50 | 2c19:dd:ec00:c25:de69:3100::/88 | 2c19:dd:ec00:c25:de69:31ff:ffff:ffff |
| 51 | 2c19:dd:ec00:c25:de69:3200::/88 | 2c19:dd:ec00:c25:de69:32ff:ffff:ffff |
| 52 | 2c19:dd:ec00:c25:de69:3300::/88 | 2c19:dd:ec00:c25:de69:33ff:ffff:ffff |
| 53 | 2c19:dd:ec00:c25:de69:3400::/88 | 2c19:dd:ec00:c25:de69:34ff:ffff:ffff |
| 54 | 2c19:dd:ec00:c25:de69:3500::/88 | 2c19:dd:ec00:c25:de69:35ff:ffff:ffff |
| 55 | 2c19:dd:ec00:c25:de69:3600::/88 | 2c19:dd:ec00:c25:de69:36ff:ffff:ffff |
| 56 | 2c19:dd:ec00:c25:de69:3700::/88 | 2c19:dd:ec00:c25:de69:37ff:ffff:ffff |
| 57 | 2c19:dd:ec00:c25:de69:3800::/88 | 2c19:dd:ec00:c25:de69:38ff:ffff:ffff |
| 58 | 2c19:dd:ec00:c25:de69:3900::/88 | 2c19:dd:ec00:c25:de69:39ff:ffff:ffff |
| 59 | 2c19:dd:ec00:c25:de69:3a00::/88 | 2c19:dd:ec00:c25:de69:3aff:ffff:ffff |
| 60 | 2c19:dd:ec00:c25:de69:3b00::/88 | 2c19:dd:ec00:c25:de69:3bff:ffff:ffff |
| 61 | 2c19:dd:ec00:c25:de69:3c00::/88 | 2c19:dd:ec00:c25:de69:3cff:ffff:ffff |
| 62 | 2c19:dd:ec00:c25:de69:3d00::/88 | 2c19:dd:ec00:c25:de69:3dff:ffff:ffff |
| 63 | 2c19:dd:ec00:c25:de69:3e00::/88 | 2c19:dd:ec00:c25:de69:3eff:ffff:ffff |
| 64 | 2c19:dd:ec00:c25:de69:3f00::/88 | 2c19:dd:ec00:c25:de69:3fff:ffff:ffff |
| 65 | 2c19:dd:ec00:c25:de69:4000::/88 | 2c19:dd:ec00:c25:de69:40ff:ffff:ffff |
| 66 | 2c19:dd:ec00:c25:de69:4100::/88 | 2c19:dd:ec00:c25:de69:41ff:ffff:ffff |
| 67 | 2c19:dd:ec00:c25:de69:4200::/88 | 2c19:dd:ec00:c25:de69:42ff:ffff:ffff |
| 68 | 2c19:dd:ec00:c25:de69:4300::/88 | 2c19:dd:ec00:c25:de69:43ff:ffff:ffff |
| 69 | 2c19:dd:ec00:c25:de69:4400::/88 | 2c19:dd:ec00:c25:de69:44ff:ffff:ffff |
| 70 | 2c19:dd:ec00:c25:de69:4500::/88 | 2c19:dd:ec00:c25:de69:45ff:ffff:ffff |
| 71 | 2c19:dd:ec00:c25:de69:4600::/88 | 2c19:dd:ec00:c25:de69:46ff:ffff:ffff |
| 72 | 2c19:dd:ec00:c25:de69:4700::/88 | 2c19:dd:ec00:c25:de69:47ff:ffff:ffff |
| 73 | 2c19:dd:ec00:c25:de69:4800::/88 | 2c19:dd:ec00:c25:de69:48ff:ffff:ffff |
| 74 | 2c19:dd:ec00:c25:de69:4900::/88 | 2c19:dd:ec00:c25:de69:49ff:ffff:ffff |
| 75 | 2c19:dd:ec00:c25:de69:4a00::/88 | 2c19:dd:ec00:c25:de69:4aff:ffff:ffff |
| 76 | 2c19:dd:ec00:c25:de69:4b00::/88 | 2c19:dd:ec00:c25:de69:4bff:ffff:ffff |
| 77 | 2c19:dd:ec00:c25:de69:4c00::/88 | 2c19:dd:ec00:c25:de69:4cff:ffff:ffff |
| 78 | 2c19:dd:ec00:c25:de69:4d00::/88 | 2c19:dd:ec00:c25:de69:4dff:ffff:ffff |
| 79 | 2c19:dd:ec00:c25:de69:4e00::/88 | 2c19:dd:ec00:c25:de69:4eff:ffff:ffff |
| 80 | 2c19:dd:ec00:c25:de69:4f00::/88 | 2c19:dd:ec00:c25:de69:4fff:ffff:ffff |
| 81 | 2c19:dd:ec00:c25:de69:5000::/88 | 2c19:dd:ec00:c25:de69:50ff:ffff:ffff |
| 82 | 2c19:dd:ec00:c25:de69:5100::/88 | 2c19:dd:ec00:c25:de69:51ff:ffff:ffff |
| 83 | 2c19:dd:ec00:c25:de69:5200::/88 | 2c19:dd:ec00:c25:de69:52ff:ffff:ffff |
| 84 | 2c19:dd:ec00:c25:de69:5300::/88 | 2c19:dd:ec00:c25:de69:53ff:ffff:ffff |
| 85 | 2c19:dd:ec00:c25:de69:5400::/88 | 2c19:dd:ec00:c25:de69:54ff:ffff:ffff |
| 86 | 2c19:dd:ec00:c25:de69:5500::/88 | 2c19:dd:ec00:c25:de69:55ff:ffff:ffff |
| 87 | 2c19:dd:ec00:c25:de69:5600::/88 | 2c19:dd:ec00:c25:de69:56ff:ffff:ffff |
| 88 | 2c19:dd:ec00:c25:de69:5700::/88 | 2c19:dd:ec00:c25:de69:57ff:ffff:ffff |
| 89 | 2c19:dd:ec00:c25:de69:5800::/88 | 2c19:dd:ec00:c25:de69:58ff:ffff:ffff |
| 90 | 2c19:dd:ec00:c25:de69:5900::/88 | 2c19:dd:ec00:c25:de69:59ff:ffff:ffff |
| 91 | 2c19:dd:ec00:c25:de69:5a00::/88 | 2c19:dd:ec00:c25:de69:5aff:ffff:ffff |
| 92 | 2c19:dd:ec00:c25:de69:5b00::/88 | 2c19:dd:ec00:c25:de69:5bff:ffff:ffff |
| 93 | 2c19:dd:ec00:c25:de69:5c00::/88 | 2c19:dd:ec00:c25:de69:5cff:ffff:ffff |
| 94 | 2c19:dd:ec00:c25:de69:5d00::/88 | 2c19:dd:ec00:c25:de69:5dff:ffff:ffff |
| 95 | 2c19:dd:ec00:c25:de69:5e00::/88 | 2c19:dd:ec00:c25:de69:5eff:ffff:ffff |
| 96 | 2c19:dd:ec00:c25:de69:5f00::/88 | 2c19:dd:ec00:c25:de69:5fff:ffff:ffff |
| 97 | 2c19:dd:ec00:c25:de69:6000::/88 | 2c19:dd:ec00:c25:de69:60ff:ffff:ffff |
| 98 | 2c19:dd:ec00:c25:de69:6100::/88 | 2c19:dd:ec00:c25:de69:61ff:ffff:ffff |
| 99 | 2c19:dd:ec00:c25:de69:6200::/88 | 2c19:dd:ec00:c25:de69:62ff:ffff:ffff |
| 100 | 2c19:dd:ec00:c25:de69:6300::/88 | 2c19:dd:ec00:c25:de69:63ff:ffff:ffff |
| 101 | 2c19:dd:ec00:c25:de69:6400::/88 | 2c19:dd:ec00:c25:de69:64ff:ffff:ffff |
| 102 | 2c19:dd:ec00:c25:de69:6500::/88 | 2c19:dd:ec00:c25:de69:65ff:ffff:ffff |
| 103 | 2c19:dd:ec00:c25:de69:6600::/88 | 2c19:dd:ec00:c25:de69:66ff:ffff:ffff |
| 104 | 2c19:dd:ec00:c25:de69:6700::/88 | 2c19:dd:ec00:c25:de69:67ff:ffff:ffff |
| 105 | 2c19:dd:ec00:c25:de69:6800::/88 | 2c19:dd:ec00:c25:de69:68ff:ffff:ffff |
| 106 | 2c19:dd:ec00:c25:de69:6900::/88 | 2c19:dd:ec00:c25:de69:69ff:ffff:ffff |
| 107 | 2c19:dd:ec00:c25:de69:6a00::/88 | 2c19:dd:ec00:c25:de69:6aff:ffff:ffff |
| 108 | 2c19:dd:ec00:c25:de69:6b00::/88 | 2c19:dd:ec00:c25:de69:6bff:ffff:ffff |
| 109 | 2c19:dd:ec00:c25:de69:6c00::/88 | 2c19:dd:ec00:c25:de69:6cff:ffff:ffff |
| 110 | 2c19:dd:ec00:c25:de69:6d00::/88 | 2c19:dd:ec00:c25:de69:6dff:ffff:ffff |
| 111 | 2c19:dd:ec00:c25:de69:6e00::/88 | 2c19:dd:ec00:c25:de69:6eff:ffff:ffff |
| 112 | 2c19:dd:ec00:c25:de69:6f00::/88 | 2c19:dd:ec00:c25:de69:6fff:ffff:ffff |
| 113 | 2c19:dd:ec00:c25:de69:7000::/88 | 2c19:dd:ec00:c25:de69:70ff:ffff:ffff |
| 114 | 2c19:dd:ec00:c25:de69:7100::/88 | 2c19:dd:ec00:c25:de69:71ff:ffff:ffff |
| 115 | 2c19:dd:ec00:c25:de69:7200::/88 | 2c19:dd:ec00:c25:de69:72ff:ffff:ffff |
| 116 | 2c19:dd:ec00:c25:de69:7300::/88 | 2c19:dd:ec00:c25:de69:73ff:ffff:ffff |
| 117 | 2c19:dd:ec00:c25:de69:7400::/88 | 2c19:dd:ec00:c25:de69:74ff:ffff:ffff |
| 118 | 2c19:dd:ec00:c25:de69:7500::/88 | 2c19:dd:ec00:c25:de69:75ff:ffff:ffff |
| 119 | 2c19:dd:ec00:c25:de69:7600::/88 | 2c19:dd:ec00:c25:de69:76ff:ffff:ffff |
| 120 | 2c19:dd:ec00:c25:de69:7700::/88 | 2c19:dd:ec00:c25:de69:77ff:ffff:ffff |
| 121 | 2c19:dd:ec00:c25:de69:7800::/88 | 2c19:dd:ec00:c25:de69:78ff:ffff:ffff |
| 122 | 2c19:dd:ec00:c25:de69:7900::/88 | 2c19:dd:ec00:c25:de69:79ff:ffff:ffff |
| 123 | 2c19:dd:ec00:c25:de69:7a00::/88 | 2c19:dd:ec00:c25:de69:7aff:ffff:ffff |
| 124 | 2c19:dd:ec00:c25:de69:7b00::/88 | 2c19:dd:ec00:c25:de69:7bff:ffff:ffff |
| 125 | 2c19:dd:ec00:c25:de69:7c00::/88 | 2c19:dd:ec00:c25:de69:7cff:ffff:ffff |
| 126 | 2c19:dd:ec00:c25:de69:7d00::/88 | 2c19:dd:ec00:c25:de69:7dff:ffff:ffff |
| 127 | 2c19:dd:ec00:c25:de69:7e00::/88 | 2c19:dd:ec00:c25:de69:7eff:ffff:ffff |
| 128 | 2c19:dd:ec00:c25:de69:7f00::/88 | 2c19:dd:ec00:c25:de69:7fff:ffff:ffff |
| 129 | 2c19:dd:ec00:c25:de69:8000::/88 | 2c19:dd:ec00:c25:de69:80ff:ffff:ffff |
| 130 | 2c19:dd:ec00:c25:de69:8100::/88 | 2c19:dd:ec00:c25:de69:81ff:ffff:ffff |
| 131 | 2c19:dd:ec00:c25:de69:8200::/88 | 2c19:dd:ec00:c25:de69:82ff:ffff:ffff |
| 132 | 2c19:dd:ec00:c25:de69:8300::/88 | 2c19:dd:ec00:c25:de69:83ff:ffff:ffff |
| 133 | 2c19:dd:ec00:c25:de69:8400::/88 | 2c19:dd:ec00:c25:de69:84ff:ffff:ffff |
| 134 | 2c19:dd:ec00:c25:de69:8500::/88 | 2c19:dd:ec00:c25:de69:85ff:ffff:ffff |
| 135 | 2c19:dd:ec00:c25:de69:8600::/88 | 2c19:dd:ec00:c25:de69:86ff:ffff:ffff |
| 136 | 2c19:dd:ec00:c25:de69:8700::/88 | 2c19:dd:ec00:c25:de69:87ff:ffff:ffff |
| 137 | 2c19:dd:ec00:c25:de69:8800::/88 | 2c19:dd:ec00:c25:de69:88ff:ffff:ffff |
| 138 | 2c19:dd:ec00:c25:de69:8900::/88 | 2c19:dd:ec00:c25:de69:89ff:ffff:ffff |
| 139 | 2c19:dd:ec00:c25:de69:8a00::/88 | 2c19:dd:ec00:c25:de69:8aff:ffff:ffff |
| 140 | 2c19:dd:ec00:c25:de69:8b00::/88 | 2c19:dd:ec00:c25:de69:8bff:ffff:ffff |
| 141 | 2c19:dd:ec00:c25:de69:8c00::/88 | 2c19:dd:ec00:c25:de69:8cff:ffff:ffff |
| 142 | 2c19:dd:ec00:c25:de69:8d00::/88 | 2c19:dd:ec00:c25:de69:8dff:ffff:ffff |
| 143 | 2c19:dd:ec00:c25:de69:8e00::/88 | 2c19:dd:ec00:c25:de69:8eff:ffff:ffff |
| 144 | 2c19:dd:ec00:c25:de69:8f00::/88 | 2c19:dd:ec00:c25:de69:8fff:ffff:ffff |
| 145 | 2c19:dd:ec00:c25:de69:9000::/88 | 2c19:dd:ec00:c25:de69:90ff:ffff:ffff |
| 146 | 2c19:dd:ec00:c25:de69:9100::/88 | 2c19:dd:ec00:c25:de69:91ff:ffff:ffff |
| 147 | 2c19:dd:ec00:c25:de69:9200::/88 | 2c19:dd:ec00:c25:de69:92ff:ffff:ffff |
| 148 | 2c19:dd:ec00:c25:de69:9300::/88 | 2c19:dd:ec00:c25:de69:93ff:ffff:ffff |
| 149 | 2c19:dd:ec00:c25:de69:9400::/88 | 2c19:dd:ec00:c25:de69:94ff:ffff:ffff |
| 150 | 2c19:dd:ec00:c25:de69:9500::/88 | 2c19:dd:ec00:c25:de69:95ff:ffff:ffff |
| 151 | 2c19:dd:ec00:c25:de69:9600::/88 | 2c19:dd:ec00:c25:de69:96ff:ffff:ffff |
| 152 | 2c19:dd:ec00:c25:de69:9700::/88 | 2c19:dd:ec00:c25:de69:97ff:ffff:ffff |
| 153 | 2c19:dd:ec00:c25:de69:9800::/88 | 2c19:dd:ec00:c25:de69:98ff:ffff:ffff |
| 154 | 2c19:dd:ec00:c25:de69:9900::/88 | 2c19:dd:ec00:c25:de69:99ff:ffff:ffff |
| 155 | 2c19:dd:ec00:c25:de69:9a00::/88 | 2c19:dd:ec00:c25:de69:9aff:ffff:ffff |
| 156 | 2c19:dd:ec00:c25:de69:9b00::/88 | 2c19:dd:ec00:c25:de69:9bff:ffff:ffff |
| 157 | 2c19:dd:ec00:c25:de69:9c00::/88 | 2c19:dd:ec00:c25:de69:9cff:ffff:ffff |
| 158 | 2c19:dd:ec00:c25:de69:9d00::/88 | 2c19:dd:ec00:c25:de69:9dff:ffff:ffff |
| 159 | 2c19:dd:ec00:c25:de69:9e00::/88 | 2c19:dd:ec00:c25:de69:9eff:ffff:ffff |
| 160 | 2c19:dd:ec00:c25:de69:9f00::/88 | 2c19:dd:ec00:c25:de69:9fff:ffff:ffff |
| 161 | 2c19:dd:ec00:c25:de69:a000::/88 | 2c19:dd:ec00:c25:de69:a0ff:ffff:ffff |
| 162 | 2c19:dd:ec00:c25:de69:a100::/88 | 2c19:dd:ec00:c25:de69:a1ff:ffff:ffff |
| 163 | 2c19:dd:ec00:c25:de69:a200::/88 | 2c19:dd:ec00:c25:de69:a2ff:ffff:ffff |
| 164 | 2c19:dd:ec00:c25:de69:a300::/88 | 2c19:dd:ec00:c25:de69:a3ff:ffff:ffff |
| 165 | 2c19:dd:ec00:c25:de69:a400::/88 | 2c19:dd:ec00:c25:de69:a4ff:ffff:ffff |
| 166 | 2c19:dd:ec00:c25:de69:a500::/88 | 2c19:dd:ec00:c25:de69:a5ff:ffff:ffff |
| 167 | 2c19:dd:ec00:c25:de69:a600::/88 | 2c19:dd:ec00:c25:de69:a6ff:ffff:ffff |
| 168 | 2c19:dd:ec00:c25:de69:a700::/88 | 2c19:dd:ec00:c25:de69:a7ff:ffff:ffff |
| 169 | 2c19:dd:ec00:c25:de69:a800::/88 | 2c19:dd:ec00:c25:de69:a8ff:ffff:ffff |
| 170 | 2c19:dd:ec00:c25:de69:a900::/88 | 2c19:dd:ec00:c25:de69:a9ff:ffff:ffff |
| 171 | 2c19:dd:ec00:c25:de69:aa00::/88 | 2c19:dd:ec00:c25:de69:aaff:ffff:ffff |
| 172 | 2c19:dd:ec00:c25:de69:ab00::/88 | 2c19:dd:ec00:c25:de69:abff:ffff:ffff |
| 173 | 2c19:dd:ec00:c25:de69:ac00::/88 | 2c19:dd:ec00:c25:de69:acff:ffff:ffff |
| 174 | 2c19:dd:ec00:c25:de69:ad00::/88 | 2c19:dd:ec00:c25:de69:adff:ffff:ffff |
| 175 | 2c19:dd:ec00:c25:de69:ae00::/88 | 2c19:dd:ec00:c25:de69:aeff:ffff:ffff |
| 176 | 2c19:dd:ec00:c25:de69:af00::/88 | 2c19:dd:ec00:c25:de69:afff:ffff:ffff |
| 177 | 2c19:dd:ec00:c25:de69:b000::/88 | 2c19:dd:ec00:c25:de69:b0ff:ffff:ffff |
| 178 | 2c19:dd:ec00:c25:de69:b100::/88 | 2c19:dd:ec00:c25:de69:b1ff:ffff:ffff |
| 179 | 2c19:dd:ec00:c25:de69:b200::/88 | 2c19:dd:ec00:c25:de69:b2ff:ffff:ffff |
| 180 | 2c19:dd:ec00:c25:de69:b300::/88 | 2c19:dd:ec00:c25:de69:b3ff:ffff:ffff |
| 181 | 2c19:dd:ec00:c25:de69:b400::/88 | 2c19:dd:ec00:c25:de69:b4ff:ffff:ffff |
| 182 | 2c19:dd:ec00:c25:de69:b500::/88 | 2c19:dd:ec00:c25:de69:b5ff:ffff:ffff |
| 183 | 2c19:dd:ec00:c25:de69:b600::/88 | 2c19:dd:ec00:c25:de69:b6ff:ffff:ffff |
| 184 | 2c19:dd:ec00:c25:de69:b700::/88 | 2c19:dd:ec00:c25:de69:b7ff:ffff:ffff |
| 185 | 2c19:dd:ec00:c25:de69:b800::/88 | 2c19:dd:ec00:c25:de69:b8ff:ffff:ffff |
| 186 | 2c19:dd:ec00:c25:de69:b900::/88 | 2c19:dd:ec00:c25:de69:b9ff:ffff:ffff |
| 187 | 2c19:dd:ec00:c25:de69:ba00::/88 | 2c19:dd:ec00:c25:de69:baff:ffff:ffff |
| 188 | 2c19:dd:ec00:c25:de69:bb00::/88 | 2c19:dd:ec00:c25:de69:bbff:ffff:ffff |
| 189 | 2c19:dd:ec00:c25:de69:bc00::/88 | 2c19:dd:ec00:c25:de69:bcff:ffff:ffff |
| 190 | 2c19:dd:ec00:c25:de69:bd00::/88 | 2c19:dd:ec00:c25:de69:bdff:ffff:ffff |
| 191 | 2c19:dd:ec00:c25:de69:be00::/88 | 2c19:dd:ec00:c25:de69:beff:ffff:ffff |
| 192 | 2c19:dd:ec00:c25:de69:bf00::/88 | 2c19:dd:ec00:c25:de69:bfff:ffff:ffff |
| 193 | 2c19:dd:ec00:c25:de69:c000::/88 | 2c19:dd:ec00:c25:de69:c0ff:ffff:ffff |
| 194 | 2c19:dd:ec00:c25:de69:c100::/88 | 2c19:dd:ec00:c25:de69:c1ff:ffff:ffff |
| 195 | 2c19:dd:ec00:c25:de69:c200::/88 | 2c19:dd:ec00:c25:de69:c2ff:ffff:ffff |
| 196 | 2c19:dd:ec00:c25:de69:c300::/88 | 2c19:dd:ec00:c25:de69:c3ff:ffff:ffff |
| 197 | 2c19:dd:ec00:c25:de69:c400::/88 | 2c19:dd:ec00:c25:de69:c4ff:ffff:ffff |
| 198 | 2c19:dd:ec00:c25:de69:c500::/88 | 2c19:dd:ec00:c25:de69:c5ff:ffff:ffff |
| 199 | 2c19:dd:ec00:c25:de69:c600::/88 | 2c19:dd:ec00:c25:de69:c6ff:ffff:ffff |
| 200 | 2c19:dd:ec00:c25:de69:c700::/88 | 2c19:dd:ec00:c25:de69:c7ff:ffff:ffff |
| 201 | 2c19:dd:ec00:c25:de69:c800::/88 | 2c19:dd:ec00:c25:de69:c8ff:ffff:ffff |
| 202 | 2c19:dd:ec00:c25:de69:c900::/88 | 2c19:dd:ec00:c25:de69:c9ff:ffff:ffff |
| 203 | 2c19:dd:ec00:c25:de69:ca00::/88 | 2c19:dd:ec00:c25:de69:caff:ffff:ffff |
| 204 | 2c19:dd:ec00:c25:de69:cb00::/88 | 2c19:dd:ec00:c25:de69:cbff:ffff:ffff |
| 205 | 2c19:dd:ec00:c25:de69:cc00::/88 | 2c19:dd:ec00:c25:de69:ccff:ffff:ffff |
| 206 | 2c19:dd:ec00:c25:de69:cd00::/88 | 2c19:dd:ec00:c25:de69:cdff:ffff:ffff |
| 207 | 2c19:dd:ec00:c25:de69:ce00::/88 | 2c19:dd:ec00:c25:de69:ceff:ffff:ffff |
| 208 | 2c19:dd:ec00:c25:de69:cf00::/88 | 2c19:dd:ec00:c25:de69:cfff:ffff:ffff |
| 209 | 2c19:dd:ec00:c25:de69:d000::/88 | 2c19:dd:ec00:c25:de69:d0ff:ffff:ffff |
| 210 | 2c19:dd:ec00:c25:de69:d100::/88 | 2c19:dd:ec00:c25:de69:d1ff:ffff:ffff |
| 211 | 2c19:dd:ec00:c25:de69:d200::/88 | 2c19:dd:ec00:c25:de69:d2ff:ffff:ffff |
| 212 | 2c19:dd:ec00:c25:de69:d300::/88 | 2c19:dd:ec00:c25:de69:d3ff:ffff:ffff |
| 213 | 2c19:dd:ec00:c25:de69:d400::/88 | 2c19:dd:ec00:c25:de69:d4ff:ffff:ffff |
| 214 | 2c19:dd:ec00:c25:de69:d500::/88 | 2c19:dd:ec00:c25:de69:d5ff:ffff:ffff |
| 215 | 2c19:dd:ec00:c25:de69:d600::/88 | 2c19:dd:ec00:c25:de69:d6ff:ffff:ffff |
| 216 | 2c19:dd:ec00:c25:de69:d700::/88 | 2c19:dd:ec00:c25:de69:d7ff:ffff:ffff |
| 217 | 2c19:dd:ec00:c25:de69:d800::/88 | 2c19:dd:ec00:c25:de69:d8ff:ffff:ffff |
| 218 | 2c19:dd:ec00:c25:de69:d900::/88 | 2c19:dd:ec00:c25:de69:d9ff:ffff:ffff |
| 219 | 2c19:dd:ec00:c25:de69:da00::/88 | 2c19:dd:ec00:c25:de69:daff:ffff:ffff |
| 220 | 2c19:dd:ec00:c25:de69:db00::/88 | 2c19:dd:ec00:c25:de69:dbff:ffff:ffff |
| 221 | 2c19:dd:ec00:c25:de69:dc00::/88 | 2c19:dd:ec00:c25:de69:dcff:ffff:ffff |
| 222 | 2c19:dd:ec00:c25:de69:dd00::/88 | 2c19:dd:ec00:c25:de69:ddff:ffff:ffff |
| 223 | 2c19:dd:ec00:c25:de69:de00::/88 | 2c19:dd:ec00:c25:de69:deff:ffff:ffff |
| 224 | 2c19:dd:ec00:c25:de69:df00::/88 | 2c19:dd:ec00:c25:de69:dfff:ffff:ffff |
| 225 | 2c19:dd:ec00:c25:de69:e000::/88 | 2c19:dd:ec00:c25:de69:e0ff:ffff:ffff |
| 226 | 2c19:dd:ec00:c25:de69:e100::/88 | 2c19:dd:ec00:c25:de69:e1ff:ffff:ffff |
| 227 | 2c19:dd:ec00:c25:de69:e200::/88 | 2c19:dd:ec00:c25:de69:e2ff:ffff:ffff |
| 228 | 2c19:dd:ec00:c25:de69:e300::/88 | 2c19:dd:ec00:c25:de69:e3ff:ffff:ffff |
| 229 | 2c19:dd:ec00:c25:de69:e400::/88 | 2c19:dd:ec00:c25:de69:e4ff:ffff:ffff |
| 230 | 2c19:dd:ec00:c25:de69:e500::/88 | 2c19:dd:ec00:c25:de69:e5ff:ffff:ffff |
| 231 | 2c19:dd:ec00:c25:de69:e600::/88 | 2c19:dd:ec00:c25:de69:e6ff:ffff:ffff |
| 232 | 2c19:dd:ec00:c25:de69:e700::/88 | 2c19:dd:ec00:c25:de69:e7ff:ffff:ffff |
| 233 | 2c19:dd:ec00:c25:de69:e800::/88 | 2c19:dd:ec00:c25:de69:e8ff:ffff:ffff |
| 234 | 2c19:dd:ec00:c25:de69:e900::/88 | 2c19:dd:ec00:c25:de69:e9ff:ffff:ffff |
| 235 | 2c19:dd:ec00:c25:de69:ea00::/88 | 2c19:dd:ec00:c25:de69:eaff:ffff:ffff |
| 236 | 2c19:dd:ec00:c25:de69:eb00::/88 | 2c19:dd:ec00:c25:de69:ebff:ffff:ffff |
| 237 | 2c19:dd:ec00:c25:de69:ec00::/88 | 2c19:dd:ec00:c25:de69:ecff:ffff:ffff |
| 238 | 2c19:dd:ec00:c25:de69:ed00::/88 | 2c19:dd:ec00:c25:de69:edff:ffff:ffff |
| 239 | 2c19:dd:ec00:c25:de69:ee00::/88 | 2c19:dd:ec00:c25:de69:eeff:ffff:ffff |
| 240 | 2c19:dd:ec00:c25:de69:ef00::/88 | 2c19:dd:ec00:c25:de69:efff:ffff:ffff |
| 241 | 2c19:dd:ec00:c25:de69:f000::/88 | 2c19:dd:ec00:c25:de69:f0ff:ffff:ffff |
| 242 | 2c19:dd:ec00:c25:de69:f100::/88 | 2c19:dd:ec00:c25:de69:f1ff:ffff:ffff |
| 243 | 2c19:dd:ec00:c25:de69:f200::/88 | 2c19:dd:ec00:c25:de69:f2ff:ffff:ffff |
| 244 | 2c19:dd:ec00:c25:de69:f300::/88 | 2c19:dd:ec00:c25:de69:f3ff:ffff:ffff |
| 245 | 2c19:dd:ec00:c25:de69:f400::/88 | 2c19:dd:ec00:c25:de69:f4ff:ffff:ffff |
| 246 | 2c19:dd:ec00:c25:de69:f500::/88 | 2c19:dd:ec00:c25:de69:f5ff:ffff:ffff |
| 247 | 2c19:dd:ec00:c25:de69:f600::/88 | 2c19:dd:ec00:c25:de69:f6ff:ffff:ffff |
| 248 | 2c19:dd:ec00:c25:de69:f700::/88 | 2c19:dd:ec00:c25:de69:f7ff:ffff:ffff |
| 249 | 2c19:dd:ec00:c25:de69:f800::/88 | 2c19:dd:ec00:c25:de69:f8ff:ffff:ffff |
| 250 | 2c19:dd:ec00:c25:de69:f900::/88 | 2c19:dd:ec00:c25:de69:f9ff:ffff:ffff |
| 251 | 2c19:dd:ec00:c25:de69:fa00::/88 | 2c19:dd:ec00:c25:de69:faff:ffff:ffff |
| 252 | 2c19:dd:ec00:c25:de69:fb00::/88 | 2c19:dd:ec00:c25:de69:fbff:ffff:ffff |
| 253 | 2c19:dd:ec00:c25:de69:fc00::/88 | 2c19:dd:ec00:c25:de69:fcff:ffff:ffff |
| 254 | 2c19:dd:ec00:c25:de69:fd00::/88 | 2c19:dd:ec00:c25:de69:fdff:ffff:ffff |
| 255 | 2c19:dd:ec00:c25:de69:fe00::/88 | 2c19:dd:ec00:c25:de69:feff:ffff:ffff |
| 256 | 2c19:dd:ec00:c25:de69:ff00::/88 | 2c19:dd:ec00:c25:de69:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |